;
{
  try {
    let e = "undefined" != typeof window ? window : "undefined" != typeof global ? global : "undefined" != typeof globalThis ? globalThis : "undefined" != typeof self ? self : {}, n = new e.Error().stack;
    n && (e._sentryDebugIds = e._sentryDebugIds || {}, e._sentryDebugIds[n] = "eb3e49da-9999-40d6-9020-545a4e3401ce", e._sentryDebugIdIdentifier = "sentry-dbid-eb3e49da-9999-40d6-9020-545a4e3401ce");
  } catch (e) {
  }
}
;
import { useQuery } from "@tanstack/preact-query";
import { b as useApiContext, k as httpGet } from "./StoreProvider-CqQrndhS.js";
const getPciQuestionnaireList = async (legalEntityId, baseUrl) => {
  return httpGet({
    baseUrl,
    path: `legalEntities/${legalEntityId}/pci/questionnaires`
  });
};
const usePciQuestionnaireList = (options) => {
  const { rootLegalEntityId, baseUrl } = useApiContext();
  return useQuery({
    queryKey: ["pciQuestionnaireList"],
    queryFn: () => getPciQuestionnaireList(rootLegalEntityId.value, baseUrl.value),
    ...options
  });
};
export {
  getPciQuestionnaireList as g,
  usePciQuestionnaireList as u
};
